## Fones is a combination of Forge and Bones.

----------------------------------------------------------------------------------

Forge is a toolkit for bootstrapping and developing WordPress themes. Bones is a Wordpress development theme.

For more information visit their websites:

  [Forge website](http://forge.thethemefoundry.com/)
  [Bones website](http://themble.com/bones/)

----------------------------------------------------------------------------------

Fones Version: **0.1.3**

Uses:

  Forge Version: **0.5.0**
  Bones Version: **1.25**


----------------------------------------------------------------------------------

## Installation 

https://rubygems.org/gems/fones

(requires [Ruby](http://www.ruby-lang.org/) and [RubyGems](http://rubygems.org/)):

    $ gem install fones

Create your new theme project:

    $ fones create your_theme

Change to your new project directory:

    $ cd your_theme

Link to your WordPress theme folder:

    $ fones link /path/to/wordpress/wp-content/themes/your_theme

Watch for changes and start developing!

    $ fones watch

Press Ctrl + C to exit watch mode

Build your theme into the build_here directory:

    $ fones build build_here

Package your theme as your_theme.zip:

    $ fones package your_theme

Get a little help with the Fones commands:

    $ fones help

----------------------------------------------------------------------------------
